Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getAdmins({
organizationId: "string",
});
export const merakiOrganizationsAdminsExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_admins(organization_id="string")
pulumi.export("merakiOrganizationsAdminsExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.LookupAdmins(ctx, &organizations.LookupAdminsArgs{
OrganizationId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsAdminsExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetAdmins.Invoke(new()
{
OrganizationId = "string",
});
return new Dictionary<string, object?>
{
["merakiOrganizationsAdminsExample"] = example.Apply(getAdminsResult => getAdminsResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetAdminsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getAdmins(GetAdminsArgs.builder()
.organizationId("string")
.build());
ctx.export("merakiOrganizationsAdminsExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getAdmins
arguments:
organizationId: string
outputs:
merakiOrganizationsAdminsExample: ${example.items}
Using getAdmins
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getAdmins(args: GetAdminsArgs, opts?: InvokeOptions): Promise<GetAdminsResult>
function getAdminsOutput(args: GetAdminsOutputArgs, opts?: InvokeOptions): Output<GetAdminsResult>def get_admins(organization_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetAdminsResult
def get_admins_output(organization_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetAdminsResult]func LookupAdmins(ctx *Context, args *LookupAdminsArgs, opts ...InvokeOption) (*LookupAdminsResult, error)
func LookupAdminsOutput(ctx *Context, args *LookupAdminsOutputArgs, opts ...InvokeOption) LookupAdminsResultOutput> Note: This function is named LookupAdmins in the Go SDK.
public static class GetAdmins
{
public static Task<GetAdminsResult> InvokeAsync(GetAdminsArgs args, InvokeOptions? opts = null)
public static Output<GetAdminsResult> Invoke(GetAdminsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetAdminsResult> getAdmins(GetAdminsArgs args, InvokeOptions options)
public static Output<GetAdminsResult> getAdmins(GetAdminsArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getAdmins:getAdmins
arguments:
# arguments dictionaryThe following arguments are supported:
- Organization
Id string - organizationId path parameter. Organization ID
- Organization
Id string - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
- organization
Id string - organizationId path parameter. Organization ID
- organization_
id str - organizationId path parameter. Organization ID
- organization
Id String - organizationId path parameter. Organization ID
getAdmins Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Admins Item> - Array of ResponseOrganizationsGetOrganizationAdmins
- Organization
Id string - organizationId path parameter. Organization ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Admins Item - Array of ResponseOrganizationsGetOrganizationAdmins
- Organization
Id string - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Admins Item> - Array of ResponseOrganizationsGetOrganizationAdmins
- organization
Id String - organizationId path parameter. Organization ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Admins Item[] - Array of ResponseOrganizationsGetOrganizationAdmins
- organization
Id string - organizationId path parameter. Organization ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Admins Item] - Array of ResponseOrganizationsGetOrganizationAdmins
- organization_
id str - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseOrganizationsGetOrganizationAdmins
- organization
Id String - organizationId path parameter. Organization ID
Supporting Types
GetAdminsItem
- Account
Status string - Status of the admin's account
- Authentication
Method string - Admin's authentication method
- Email string
- Admin's email address
- Has
Api boolKey - Indicates whether the admin has an API key
- Id string
- Admin's ID
- Last
Active string - Time when the admin was last active
- Name string
- Admin's username
- Networks
List<Get
Admins Item Network> - Admin network access information
- Org
Access string - Admin's level of access to the organization
-
List<Get
Admins Item Tag> - Admin tag information
- Two
Factor boolAuth Enabled - Indicates whether two-factor authentication is enabled
- Account
Status string - Status of the admin's account
- Authentication
Method string - Admin's authentication method
- Email string
- Admin's email address
- Has
Api boolKey - Indicates whether the admin has an API key
- Id string
- Admin's ID
- Last
Active string - Time when the admin was last active
- Name string
- Admin's username
- Networks
[]Get
Admins Item Network - Admin network access information
- Org
Access string - Admin's level of access to the organization
-
[]Get
Admins Item Tag - Admin tag information
- Two
Factor boolAuth Enabled - Indicates whether two-factor authentication is enabled
- account
Status String - Status of the admin's account
- authentication
Method String - Admin's authentication method
- email String
- Admin's email address
- has
Api BooleanKey - Indicates whether the admin has an API key
- id String
- Admin's ID
- last
Active String - Time when the admin was last active
- name String
- Admin's username
- networks
List<Get
Admins Item Network> - Admin network access information
- org
Access String - Admin's level of access to the organization
-
List<Get
Admins Item Tag> - Admin tag information
- two
Factor BooleanAuth Enabled - Indicates whether two-factor authentication is enabled
- account
Status string - Status of the admin's account
- authentication
Method string - Admin's authentication method
- email string
- Admin's email address
- has
Api booleanKey - Indicates whether the admin has an API key
- id string
- Admin's ID
- last
Active string - Time when the admin was last active
- name string
- Admin's username
- networks
Get
Admins Item Network[] - Admin network access information
- org
Access string - Admin's level of access to the organization
-
Get
Admins Item Tag[] - Admin tag information
- two
Factor booleanAuth Enabled - Indicates whether two-factor authentication is enabled
- account_
status str - Status of the admin's account
- authentication_
method str - Admin's authentication method
- email str
- Admin's email address
- has_
api_ boolkey - Indicates whether the admin has an API key
- id str
- Admin's ID
- last_
active str - Time when the admin was last active
- name str
- Admin's username
- networks
Sequence[Get
Admins Item Network] - Admin network access information
- org_
access str - Admin's level of access to the organization
-
Sequence[Get
Admins Item Tag] - Admin tag information
- two_
factor_ boolauth_ enabled - Indicates whether two-factor authentication is enabled
- account
Status String - Status of the admin's account
- authentication
Method String - Admin's authentication method
- email String
- Admin's email address
- has
Api BooleanKey - Indicates whether the admin has an API key
- id String
- Admin's ID
- last
Active String - Time when the admin was last active
- name String
- Admin's username
- networks List<Property Map>
- Admin network access information
- org
Access String - Admin's level of access to the organization
- List<Property Map>
- Admin tag information
- two
Factor BooleanAuth Enabled - Indicates whether two-factor authentication is enabled
GetAdminsItemNetwork
GetAdminsItemTag
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
